Page MenuHomePhabricator

wmf-auto-reimage: add support for renaming while re-imaging
Closed, ResolvedPublic

Description

The old wmf-reimage script allowed to rename an host while reimaging. Add the same feature to the new reimage scripts

Event Timeline

Volans created this task.Sep 28 2017, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2017, 12:08 PM
Volans moved this task from Backlog to In Progress on the SRE-tools board.Sep 28 2017, 12:09 PM

Change 381200 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] wmf-auto-reimage: add support for rename

https://gerrit.wikimedia.org/r/381200

Volans moved this task from In Progress to In Code Review on the SRE-tools board.Sep 28 2017, 12:09 PM

Change 381200 merged by Volans:
[operations/puppet@production] wmf-auto-reimage: add support for rename

https://gerrit.wikimedia.org/r/381200

Volans closed this task as Resolved.Oct 4 2017, 3:55 PM
Volans removed a project: Patch-For-Review.

Change 382182 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] wmf-reimage: remove dangling reference

https://gerrit.wikimedia.org/r/382182

Change 382182 merged by Volans:
[operations/puppet@production] wmf-reimage: remove dangling reference

https://gerrit.wikimedia.org/r/382182

Volans reopened this task as Open.Oct 4 2017, 4:23 PM

Mentioned in SAL (#wikimedia-operations) [2017-10-04T16:23:50Z] <volans> deleted 'R:File = /usr/local/bin/wmf-reimage' on matching hosts T176955

Volans closed this task as Resolved.Oct 4 2017, 4:29 PM